Subject: Re: [MeeGo-Dev][PATCH v3] Topcliff: Update PCH_CAN driver to 2.6.35

From: Wolfgang Grandegger <[email-masked]>
Date: Fri, 01 Oct 2010 14:40:55 +0200

On 10/01/2010 12:02 PM, Masayuki Ohtake wrote:
> Hi Wolfgang Grandegger,
> 
> Thank you for your comments.
> 
> We will modify and re-post ASAP.
> 
> I have a comment about below.
>> In this driver you are using just *one* RX object. This means that the
>> CPU must handle new messages as quickly as possible otherwise message
>> losses will happen, right?. For sure, this will not make user's happy.
>> Any chance to use more RX objects in FIFO mode?
> 
> In case implementing with FIFO mode,
> received packets may be our of order.

Hm, FIFO means "First in First out"! It might be tricky to implement,
though.

> Because our CAN register access is slow.
> 
> I am confirming our CAN HW spec and the possibility of our-of-order.

I don't understand?

Wolfgang.